Method: projects.locations.ullMirroringCollectors.rules.patch

Updates a single UllMirroringCollectorRule.

HTTP request

PATCH https://networksecurity.googleapis.com/v1/{ullMirroringCollectorRule.name=projects/*/locations/*/ullMirroringCollectors/*/rules/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
ullMirroringCollectorRule.name

string

Identifier. The name of the UllMirroringCollectorRule.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of UllMirroringCollectorRule.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • networksecurity.ullMirroringCollectorRules.update

For more information, see the IAM documentation.